Printago API
POST
/v1/sequences
Create a sequence
Request Body
Sequence name, starting number, and display format
SequenceInsert
namerequired
string
nextValueoptional
integer
min: 1
numberStyleoptional
"decimal" | "base32"
decimalbase32
paddingoptional
integer
min: 1max: 12
prefixoptional
string
suffixoptional
string
Example Request
application/json
{
"name": "string",
"nextValue": 1,
"prefix": "string",
"suffix": "string",
"padding": 1,
"numberStyle": "decimal"
}
Response Schema
Sequence
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
namerequired
string
nextValuerequired
number
numberStylerequired
"decimal" | "base32"
decimalbase32
paddingrequired
number
prefixrequired
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
suffixrequired
string
updatedAtrequired
string
format: date-time
Example Response
201 OK — application/json
{
"name": "string",
"nextValue": 1,
"prefix": "string",
"suffix": "string",
"padding": 1,
"numberStyle": "decimal",
"id": "string",
"storeId": "string",
"createdAt": "2025-01-15T12:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
}